package com.dgtly.goods.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

/**
 * 商品属性对象 goods_attribute
 * 
 * @author dgtly
 * @date 2020-02-13
 */
public class GoodsAttribute
{
    private static final long serialVersionUID = 1L;

    /** 所属分类属性id */
    private Long id;

    /** 所属商品id */
    @Excel(name = "所属商品id")
    private Long goodsId;

    /** $column.columnComment */
    @Excel(name = "所属商品id")
    private Long attributeId;

    /** 取值 */
    @Excel(name = "取值")
    private String value;


    /** 属性名称 */
    @Excel(name = "取值")
    private String attributeName;

    /**排序值*/
    private String Sort;


    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setGoodsId(Long goodsId) 
    {
        this.goodsId = goodsId;
    }

    public Long getGoodsId() 
    {
        return goodsId;
    }
    public void setAttributeId(Long attributeId) 
    {
        this.attributeId = attributeId;
    }

    public Long getAttributeId() 
    {
        return attributeId;
    }
    public void setValue(String value) 
    {
        this.value = value;
    }

    public String getValue() 
    {
        return value;
    }

    public String getAttributeName() {
        return attributeName;
    }

    public void setAttributeName(String attributeName) {
        this.attributeName = attributeName;
    }

    public String getSort() {
        return Sort;
    }

    public void setSort(String sort) {
        Sort = sort;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("goodsId", getGoodsId())
            .append("attributeId", getAttributeId())
            .append("value", getValue())
            .toString();
    }
}
